"""
Bofill更新方法
这部分代码源自于pysisyphus
https://github.com/eljost/pysisyphus
同时参考文献:
WIREs Comput. Mol. Sci. 2011, 1 (5), 790-809.
"""

import numpy as np


def Bofill_update(H, dx, dg):
    """
    Hessian矩阵的Bofill更新方式
    dx, dg必须为一维形式
    """
    tmp = dg - np.dot(H, dx)
    # SR1更新
    H_SR1 = np.outer(tmp, tmp) / np.dot(tmp, dx)
    # PSB更新
    H_PSB = (np.outer(tmp, dx)+np.outer(dx, tmp))/np.dot(dx, dx) - (np.dot(dx, tmp) * (np.outer(dx, dx)))/(np.dot(dx, dx)**2)
    # 合并为Bofiil形式
    phi = np.dot(tmp, dx)**2 / (np.dot(tmp, tmp)*np.dot(dx, dx))
    # 使用夹角作为phi值
    # arccos = np.dot(tmp/np.linalg.norm(tmp), dx/np.linalg.norm(dx))
    # phi = 1 - np.arccos(abs(arccos))*2/np.pi
    H_Bofill = phi*H_SR1 + (1-phi)*H_PSB
    return H_Bofill

