i-EIP(improved Elastic Image Pair)方法是一种双端过渡态搜索方法,该方法使用反应物和产物结构作为输入,可以自动定位过渡态.

**参考文献**: Improved Elastic Image Pair Method for Finding Transition States. J. Chem. Theory Comput. 2023, 19 (8), 2410-2417.

## Installation
环境: Python 3.X, numpy

步骤 1: 解压代码
步骤 2: 将代码目录路径添加到环境变量
步骤 3: 给`run_iEIP`文件添加可执行权限

(本代码使用Gaussian 09软件进行量化计算,请确保Gaussian 09被正确安装,且能正确使用`g09` `formchk` `unfchk`指令)


## Input file
本软件使用`.gjf`文件作为输入文件,计算任务需要被设定为`force`且添加`nosymm`关键词,一般文件格式为:
```
%nproc=[N]
%mem=[M]
#p force nosymm [Method/BasisSet] [Solvent]

title

[charge spin]
[coord]

```


## Run i-EIP
准备反应物和产物文件(如: A.gjf B.gjf, 文件中原子顺序需要一一对应)
执行`run_iEIP A.gjf B.gjf`
程序正常结束后,目录下会生成`ts`开头的.log文件,该文件为最终过渡态文件.


## Example
以`example`文件中1号反应为例,在该目录下执行`run_iEIP 1_A.gjf 1_B.gjf`,得到以下输出:

![read input](read_input.jpg)
![image pair generation](image_pair_generation.jpg)
![iEIP_optimization](iEIP_optimization.jpg)
![search TS](search_TS.jpg)

