The i-EIP (improved Elastic Image Pair) method is a double-ended transition state search method, which uses reactant and product structures as input and can automatically locate the transition state.
**Reference**: Improved Elastic Image Pair Method for Finding Transition States. J. Chem. Theory Comput. 2023, 19 (8), 2410-2417.

## Installation
Require: Python 3.X, numpy

Step 1: Unzip the code.
Step 2: Add the code directory to enviroment variable.
Step 3: Add execute permission to `run_iEIP` file.

(This program uses Gaussian 09 software for quantitative calculations, please ensure that Gaussian 09 is installed correctly, and the `g09` `formchk` `unfchk` commands can be used correctly)

## Input file
This program uses `.gjf` files as input. The calculation task needs to be set to `force` and the `nosymm` keyword should be added. The general file format is:
```
%nproc=[N]
%mem=[M]
#p force nosymm [Method/BasisSet] [Solvent]

title

[charge spin]
[coord]

```


## Run i-EIP
Prepare reactant and product files (such as: A.gjf B.gjf, the order of atoms in the files needs to be corresponding)
Excute `run_iEIP A.gjf B.gjf`
After the program ends normally, a `.log` file beginning with `ts` will be generated in the directory, which is the final transition state file.


## Example
Take reaction 1 in the `example` file as an example, execute `run_iEIP 1_A.gjf 1_B.gjf` in this directory, and following output will be get:

![read input](read_input.jpg)
![image pair generation](image_pair_generation.jpg)
![iEIP_optimization](iEIP_optimization.jpg)
![search TS](search_TS.jpg)

